# noise_score_view

A scrollable widget container for desktop, supports vertical and horizontal.


## Example

```dart
import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:noise_score_view/noise_score_view.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: NoiseScrollView(
            child: buildScrollableContent(),
            width: 1024,
            height: 400,
            contentWidth: 2000,
            contentHeight: 1200,
          ),
        ),
      ),
    );
  }

  Widget buildScrollableContent() {
    return  SizedBox(
      width: 2000,
      height: 1200,
      child: Column(
        children: [
          Text("1 ScrollView ..................."),
          Text("2 ScrollView ..................."),
          Text("3 ScrollView ..................."),
          Text("4 ScrollView..................."),
          Text("5 ScrollView ..................."),
          Text("6 ScrollView ..................."),
          Text("7 ScrollView ..................."),
          Text("8 ScrollView ..................."),
          Text("9 ScrollView ..................."),
          Text("10 ScrollView ..................."),
        ],
      )
    );
  }
}

```

![Example](screen/example.png?raw=true)


